Skip to main content
`Ctrl`+`K`

# DMAdaptorSetSolver

Sets the solver used to produce discrete solutions

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetSolver(DMAdaptor adaptor, SNES snes)

Not Collective

## Input Parameters

- adaptor - The `DMAdaptor` object

- snes - The solver, this MUST have an attached `DM`/`PetscDS`, so that the exact solution can be computed

## See Also

DM Basics, `DMAdaptor`, `DMAdaptorGetSolver()`, `DMAdaptorCreate()`, `DMAdaptorAdapt()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages